Skip to main content
POST
/
v1
/
projects
/
{project_id}
/
data
/
upload
Upload File
curl --request POST \
  --url https://api.ontora.com/v1/projects/{project_id}/data/upload \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'file=<string>' \
  --form 'source_name=<string>' \
  --form 'metadata=<string>'
{
  "input_id": "<string>",
  "input_type": "<string>",
  "size_bytes": 123,
  "source_name": "<string>",
  "detected_format": "<string>",
  "preview": {},
  "status": "pending",
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ontora.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

Body

multipart/form-data
file
string
required
source_name
string | null
metadata
string | null

Response

Successful Response

Response after data input is accepted.

input_id
string
required

Unique identifier for this input

input_type
string
required

Type of input (file, url, paste, webhook)

size_bytes
integer
required

Size of the input in bytes

source_name
string | null

Name of the data source

detected_format
string | null

Detected format (if available)

preview
Preview · object

Preview of the data

status
string
default:pending

Processing status

created_at
string<date-time>